package enum

import "strings"

type Enum struct {
	code int64
	desc []string
}

func NewEnum(code int64, desc ...string) *Enum {
	return &Enum{
		code: code,
		desc: desc,
	}
}

func (e *Enum) GetCode() int64 {
	return e.code
}

func (e *Enum) GetDescription() string {
	return strings.Join(e.desc, ",")
}
